org.apache.velocity.tools.config

## Enum Data.Type

- java.lang.Object
- - java.lang.Enum<Data.Type>
  - - org.apache.velocity.tools.config.Data.Type

All Implemented Interfaces:
  Serializable, Comparable<Data.Type>

Enclosing class:
  Data

    protected static enum Data.Type
    extends Enum<Data.Type>

Delineates the standard, known types and their associated target classes (`Data.setTargetClass(java.lang.Class)` and converters (`Data.setConverter(java.lang.Class)`).

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO`
`BOOLEAN`
`CUSTOM`
`FIELD`
`LIST`
`LIST_AUTO`
`LIST_BOOLEAN`
`LIST_FIELD`
`LIST_NUMBER`
`LIST_STRING`
`NUMBER`
`STRING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Data.Type` `get(String type)`
`org.apache.commons.beanutils.Converter` `getConverter()`
`Class` `getTarget()`
`boolean` `isCustom()`
`boolean` `isList()`
`String` `value()`
`static Data.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Data.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTO

    public static final Data.Type AUTO

#### BOOLEAN

    public static final Data.Type BOOLEAN

#### CUSTOM

    public static final Data.Type CUSTOM

#### FIELD

    public static final Data.Type FIELD

#### NUMBER

    public static final Data.Type NUMBER

#### STRING

    public static final Data.Type STRING

#### LIST

    public static final Data.Type LIST

#### LIST_AUTO

    public static final Data.Type LIST_AUTO

#### LIST_BOOLEAN

    public static final Data.Type LIST_BOOLEAN

#### LIST_FIELD

    public static final Data.Type LIST_FIELD

#### LIST_NUMBER

    public static final Data.Type LIST_NUMBER

#### LIST_STRING

    public static final Data.Type LIST_STRING

### Method Detail

#### values

    public static Data.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Data.Type c : Data.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Data.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isCustom

    public boolean isCustom()

#### isList

    public boolean isList()

#### getTarget

    public Class getTarget()

#### getConverter

    public org.apache.commons.beanutils.Converter getConverter()

#### value

    public String value()

#### get

    public static Data.Type get(String type)